#include <stdio.h>

main()
{
    int n,m;
    scanf("%d %d",&n,&m);
    int vage[n][2];
    int pitanja[m][3];
    int odg[m];

    for (int i=0;i<n;i++)
        scanf("%d %d",&vage[i][0],&vage[i][1]);
    for (int i=0;i<m;i++)
        {
            scanf("%d %d %d",&pitanja[i][0],&pitanja[i][1],&pitanja[i][2]);
            odg[i]=0;
        }
    for(int k=0;k<m;k++)
    {
        for(int i=pitanja[k][0]-1;i<=pitanja[k][1]-1;i++)
            if(pitanja[k][2]>=vage[i][0]&&pitanja[k][2]<=vage[i][1])
            odg[k]++;
    }
    for(int i=0;i<m;i++)
    printf("%d\n",odg[i]);
}